[OBSELETE] CUI - GUI Visualizer for WorldEdit [v1.4.6]

  • #806
    Quote from rocketman221

    I have tried installing it 6 times from a fresh copy of minecraft and it crashes every time!
    I am using worldedit gui 1.3.2a. It crashes after the mojang logo with one of these two errors. There are no other mods except modloader.

    ---- Minecraft Crash Report ----
    // Hey, that tickles! Hehehe!
    Time: 8/27/12 3:03 PM
    Description: Exception occured in ModLoader
    java.lang.NoClassDefFoundError: wecui/event/ChannelEvent
    at java.lang.Class.getDeclaredFields0(Native Method)
    at java.lang.Class.privateGetDeclaredFields(Unknown Source)
    at java.lang.Class.getDeclaredFields(Unknown Source)
    at ModLoader.setupProperties(ModLoader.java:2064)
    at ModLoader.addMod(ModLoader.java:342)
    at ModLoader.readFromClassPath(ModLoader.java:1333)
    at ModLoader.init(ModLoader.java:931)
    at ModLoader.addAllRenderers(ModLoader.java:185)
    at avy.<init>(RenderManager.java:87)
    at avy.<clinit>(RenderManager.java:14)
    at net.minecraft.client.Minecraft.a(SourceFile:260)
    at net.minecraft.client.Minecraft.run(SourceFile:516)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.lang.ClassNotFoundException: wecui.event.ChannelEvent
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 13 more
    Relevant Details:
    - Minecraft Version: 1.3.2
    - Operating System: Linux (amd64) version 2.6.38-15-generic
    - Java Version: 1.7.0_06, Oracle Corporation
    - Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    - Memory: 391840192 bytes (373 MB) / 514523136 bytes (490 MB) up to 2863333376 bytes (2730 MB)
    - JVM Flags: 2 total; -Xmx3072M -Xms512M
    - ModLoader: Mods loaded: 1
    ModLoader 1.3.2

    ---- Minecraft Crash Report ----
    // Why did you do that?
    Time: 8/27/12 2:57 PM
    Description: Exception occured in ModLoader
    java.lang.NoClassDefFoundError: wecui/InitializationFactory
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at java.security.SecureClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.access$100(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.Class.getDeclaredFields0(Native Method)
    at java.lang.Class.privateGetDeclaredFields(Unknown Source)
    at java.lang.Class.getDeclaredFields(Unknown Source)
    at ModLoader.setupProperties(ModLoader.java:2064)
    at ModLoader.addMod(ModLoader.java:342)
    at ModLoader.readFromClassPath(ModLoader.java:1333)
    at ModLoader.init(ModLoader.java:931)
    at ModLoader.addAllRenderers(ModLoader.java:185)
    at avy.<init>(RenderManager.java:87)
    at avy.<clinit>(RenderManager.java:14)
    at net.minecraft.client.Minecraft.a(SourceFile:260)
    at net.minecraft.client.Minecraft.run(SourceFile:516)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.lang.ClassNotFoundException: wecui.InitializationFactory
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 24 more
    Relevant Details:
    - Minecraft Version: 1.3.2
    - Operating System: Linux (amd64) version 2.6.38-15-generic
    - Java Version: 1.7.0_06, Oracle Corporation
    - Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    - Memory: 395461824 bytes (377 MB) / 514523136 bytes (490 MB) up to 2863333376 bytes (2730 MB)
    - JVM Flags: 2 total; -Xmx3072M -Xms512M
    - ModLoader: Mods loaded: 1
    ModLoader 1.3.2



    Delete your minecraft.jar and start over. You've messed something up during installation.
  • #807
    I see some people are having problems with it. I haven't used it a whole lot so far but it's been working fine here.
  • #808
    Same with me, lags every 30-40 sec. So I have two versions of minecraft.jar, one with and the other without worldedit cui 1.3.2a.
    But more an more plugins use Worldedit selections, so really don't want to miss this helpful feature.

    For now I'm using the fully modded 1.3.1 minecraft.jar (with worldedit cui 1.3.1) witch doesn't lag at all.

    Thanx for your work - I'm looking forward for a bugfix :-)
  • #809
    Yup I'm having exactly the same problem as well. Every 20-40 seconds the game freezes for 3 seconds, then goes on like nothing happened. Everything else works okay though.
    So I created two MagicLauncher Profiles for now, one with my regular mods and one with WECUI added for whenever I need it.

    Would be rad if this got fixed though. XD
  • #810
    I did some testing with it and found out that the freezing/lagging only appears relatively far from the spawnpoint. (500-1000+ coords)

    Minecraft 1.3.2:

    Updated to Minecraft 1.3.2
    Fix bug where using CUI while thousands of blocks from spawn lagged the game

    seems to be back/not fixed.
  • #811
    Hey guys, when you use WorldEditCUI, do you see the purple lines when you do selection? Because I don't see them, the mod is enabled with no errors, but idk what it causes this. Does it needs the lastest dev build? Because on servers I play, I dont see the selection.

    Imma test it with the latest dev build, and I'll edit the post if it fixes the issue.

    Edit: I used the latest dev build, no work. I see the OP says 5.4, but idk why in 1.3.1 one it worked. I don't know if its my mods I use which it causes this or something went wrong with CUI.
    Last edited by MCFUser151159: 8/30/2012 1:45:09 AM
    Clicky images
  • #812
    Quote from TNT-UP

    I don't know if its my mods I use which it causes this or something went wrong with CUI.


    This mod is incompatible with Liteloader / Macro Keybind Mod. In Addition to that this basically great mod makes my game freeze about every half minute (with mod it freezes, without the freezes stops immediately). Sadly I was not able to play the game properly with this modversion.
    Last edited by Zaraxxas: 8/30/2012 7:54:17 AM

    Zaraxxas alias Zarakas
  • #813
    Quote from Zaraxxas

    This mod is incompatible with Liteloader / Macro Keybind Mod. In Addition to that this basically great mod makes my game freeze about every half minute (with mod it freezes, without the freezes stops immediately). Sadly I was not able to play the game properly with this modversion.


    Weird, I haven't noticed any crash with CUI, and I have no problems with liteloader and macromod. How CUI is related to that mod?
    Clicky images
  • #814
    Quote from TNT-UP

    Weird, I haven't noticed any crash with CUI, and I have no problems with liteloader and macromod. How CUI is related to that mod?


    Don't know how it is related. There is no crash. If WEcui and liteloader / Macro Mod is installed the WEcui interface is not shown. (You can also do it the other way round, then is the Macro Mod broken / there is still no crash, just does not function.)
    Last edited by Zaraxxas: 8/30/2012 10:35:50 AM

    Zaraxxas alias Zarakas
  • #815
    Could you please, please make a Forge ML compatible version? I have a lot of mods which use Forge and now I can't use this mod with those together.
    Sorry if it is asked already, I just want to know.
  • #816
    Quote from TNT-UP

    Hey guys, when you use WorldEditCUI, do you see the purple lines when you do selection? Because I don't see them, the mod is enabled with no errors, but idk what it causes this. Does it needs the lastest dev build? Because on servers I play, I dont see the selection.

    Imma test it with the latest dev build, and I'll edit the post if it fixes the issue.

    Edit: I used the latest dev build, no work. I see the OP says 5.4, but idk why in 1.3.1 one it worked. I don't know if its my mods I use which it causes this or something went wrong with CUI.

    Using MCPatcher, this is the only one in there (everything else on/off, doesn't matter) and I also don't get the lines of my selections.
    Tried a whole lot of different settings and stuff but just wil not want me to get it to work....
    Tnx for any solution!
  • #817
    ok so i am really really new to the whole mods world. so new that i have yet to run one yet lol. so my thing is that im having issues with this mod. i followed the directions to a T, but for some reason im not being able to use it. i dont know if its mabey modloader didnt install right or what. it does not freeze, it doesnt go to a black screen. minecraft loads 100% normal. if anyone would be able to help me that would be awesome ty. ( and yes i deleted the MET folder)
  • #818
    Quote from Martin1704

    Using MCPatcher, this is the only one in there (everything else on/off, doesn't matter) and I also don't get the lines of my selections.
    Tried a whole lot of different settings and stuff but just wil not want me to get it to work....
    Tnx for any solution!


    I don't believe you can use MCPatcher to install this.
    Quote from PureTryOut

    Could you please, please make a Forge ML compatible version? I have a lot of mods which use Forge and now I can't use this mod with those together.
    Sorry if it is asked already, I just want to know.


    It's in the works. It's more difficult than you'd imagine.
    Quote from TNT-UP

    Hey guys, when you use WorldEditCUI, do you see the purple lines when you do selection? Because I don't see them, the mod is enabled with no errors, but idk what it causes this. Does it needs the lastest dev build? Because on servers I play, I dont see the selection.

    Imma test it with the latest dev build, and I'll edit the post if it fixes the issue.

    Edit: I used the latest dev build, no work. I see the OP says 5.4, but idk why in 1.3.1 one it worked. I don't know if its my mods I use which it causes this or something went wrong with CUI.


    The server needs WorldEdit 5.4.
  • #819
    @yetanotherx

    Currently, starting with 1.3.*, WE CUI and Macro/Keybind don't play nice. Is there a way this can be fixed? The mods are extremely handy together, being able to see what the macros are changing, and it sucks not being able to use both.
    Last edited by KyadCK: 8/30/2012 11:21:48 PM
  • #820
    Well updated 1.3.2 to the new A version of wecui and still have the lag spikes every 30 seconds or so.

    And yes it happens when i get more then a thousand or so of 0x0
  • #821
    Quote from KyadCK

    @yetanotherx

    Currently, starting with 1.3.*, WE CUI and Macro/Keybind don't play nice. Is there a way this can be fixed? The mods are extremely handy together, being able to see what the macros are changing, and it sucks not being able to use both.


    I'm not sure where that's happening, I'm using them both fine together. Make sure you install them in this order: ModLoader, LiteLoader, CUI, and then Macro in the mods/ folder.
  • #822
    Quote from yetanotherx

    The server needs WorldEdit 5.4.


    You mean I need to install a stable WE? I'm using dev builds, I can't revert back to version 5.4. Why in 1.3.1 it worked with the dev builds and now it doesn't work and now I need the 5.4? >.

    Edit: The WorldEdit dev build I use is 5.4.3 (idk what build is) It should work! idk how in 1.3.1 it worked... Its the same plugin :(
    Last edited by MCFUser151159: 8/31/2012 1:17:49 AM
    Clicky images
  • #823
    Quote from yetanotherx

    I'm not sure where that's happening, I'm using them both fine together. Make sure you install them in this order: ModLoader, LiteLoader, CUI, and then Macro in the mods/ folder.

    That only works, if you mod the minecraft.jar by hand and not with Magic Launcher :(
  • #824
    Quote from Martin1704

    Using MCPatcher, this is the only one in there (everything else on/off, doesn't matter) and I also don't get the lines of my selections.
    Tried a whole lot of different settings and stuff but just wil not want me to get it to work....
    Tnx for any solution!


    The problem when using MCPatcher or MagicLauncher is that with this mod is that the files they should add are in the classes folder inside the .zip file, and they put the entire folder in your minecraft.jar. This causes that Modloader does not load the mod.
    To install using MCPatcher or MagicLauncher is to unzip everything first, then navigate to the classes folder, and compress the two .class files, the configuration.yml, and the wecui folder again to a .zip file (do not compress the contents of the wecui separate, leave them in the folder when you compress it).
    If you do this MCPatcher and MagicLauncher will put your .zip contents in the minecraft.jar and everything will work just fine. No matter which one you use.\

    Quote from schl3ck

    That only works, if you mod the minecraft.jar by hand and not with Magic Launcher :(


    This is because MagicLauncher does not alter the minecraft.jar but has a different way for making the mods work. So if you don't want to copy paste everything manualy you can always use MCPatcher, I use both mods installed with MCPatcher and it works fine for me, as long as i use Modloader instead of Forge, but that's a different story.
    Last edited by siuhjinener: 8/31/2012 4:37:38 AM
  • #825
    Quote from siuhjinener

    The problem when using MCPatcher or MagicLauncher is that with this mod is that the files they should add are in the classes folder inside the .zip file, and they put the entire folder in your minecraft.jar. This causes that Modloader does not load the mod.


    I'd really be interested in a full explaination how exactly modloader loads mods different from vanilla minecraft, same as Magic Launcher does and where the difference between an internal and an external mod is, apart from the location the mods are put. Do you perhaps have some good links for that, cause the explaination in the modloader and Magic Launcher thread concerning the "exact" way it works is very sparse.

    Quote from siuhjinener

    To install using MCPatcher or MagicLauncher is to unzip everything first, then navigate to the classes folder, and compress the two .class files, the configuration.yml, and the wecui folder again to a .zip file (do not compress the contents of the wecui separate, leave them in the folder when you compress it).


    Isn't that just the way you handle every mod, that is packed wrongly for Magic Launcher?

    Quote from siuhjinener

    If you do this MCPatcher and MagicLauncher will put your .zip contents in the minecraft.jar and everything will work just fine. No matter which one you use.\


    Exactly that's the problem: Not everything is just fine^^ (Yes, I followed your instructions)
    Last edited by Zaraxxas: 8/31/2012 5:03:17 AM

    Zaraxxas alias Zarakas
  • To post a comment, please or register a new account.
Posts Quoted:
Reply
Clear All Quotes